import request from '/@/utils/request';

/**
 * 分页查询月卫生检查整改列表
 */
export const fetchList = (query?: any) => {
  return request({
    url: '/stuwork/dormreform/page',
    method: 'get',
    params: query
  });
};

/**
 * 新增月卫生检查整改
 */
export const addObj = (data: any) => {
  return request({
    url: '/stuwork/dormreform',
    method: 'post',
    data
  });
};

/**
 * 编辑月卫生检查整改
 */
export const putObj = (data: any) => {
  return request({
    url: '/stuwork/dormreform/edit',
    method: 'post',
    data
  });
};

/**
 * 删除月卫生检查整改
 */
export const delObjs = (ids: string[]) => {
  return request({
    url: '/stuwork/dormreform/delete',
    method: 'post',
    data: ids
  });
};

/**
 * 获取月卫生检查整改详情
 */
export const getObj = (id: string) => {
  return request({
    url: `/stuwork/dormreform/detail`,
    method: 'get',
    params: { id }
  });
};

